#!/usr/bin/dh-exec

# Kernel dbg packages contain a full image with debug data
linux-image-5.18.0-kali7-rpi-dbg: dbg-package-missing-depends

# glibc doesn't seem to check for a PT_GNU_STACK section in vDSOs, so
# it's OK that they don't have it
[arm64 armhf] linux-image-5.18.0-kali7-rpi-dbg: shared-library-lacks-stack-section usr/lib/debug/lib/modules/5.18.0-kali7-rpi/vdso/vdso.so
[amd64 i386 ppc64el s390x] linux-image-5.18.0-kali7-rpi-dbg: shared-library-lacks-stack-section usr/lib/debug/lib/modules/5.18.0-kali7-rpi/vdso/vdso32.so
[amd64 ppc64el s390x] linux-image-5.18.0-kali7-rpi-dbg: shared-library-lacks-stack-section usr/lib/debug/lib/modules/5.18.0-kali7-rpi/vdso/vdso64.so
[amd64] linux-image-5.18.0-kali7-rpi-dbg: shared-library-lacks-stack-section usr/lib/debug/lib/modules/5.18.0-kali7-rpi/vdso/vdsox32.so

# It is intended that 64-bit kernels provide vDSOs for 32-bit executables.
# lintian currently allows i386 executables on amd64.
[ppc64el s390x] linux-image-5.18.0-kali7-rpi-dbg: binary-from-other-architecture usr/lib/debug/lib/modules/5.18.0-kali7-rpi/vdso/vdso32.so
[amd64] linux-image-5.18.0-kali7-rpi-dbg: binary-from-other-architecture usr/lib/debug/lib/modules/5.18.0-kali7-rpi/vdso/vdsox32.so
